<bugID>818024<Summary>Remove button should get disabled on pinned URLs in the new tab page</Summary><Description>User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:17.0) Gecko/17.0 Firefox/17.0
Build ID: 20121119183901

Steps to reproduce:

Quick click (top right) on pinned URL on "new tab page".


Actual results:

Removes the URL.


Expected results:

In the "New Tab Page", if I pin a tab then I expect it to stay for frequent use. Such pinned tabs having the remove "x" button causes misclicks in fast clicking, especially since the close button is hidden unless I mouse over. This happens several times a day for me and I am sure for others too. It should be a simple change, but will help several others like me who use the New Tab page as a custom quick link page.</Description></bugID>